Adobe Flash Player _error Object Confusion Exploit

This module exploits an object type confusion vulnerability in Adobe Flash Player. The specific error occurs due to the way Adobe Flash handles the AMF0 response (_error) when connecting to a malicious RTMP server. By supplying a crafted AMF0 response it is possible to execute arbitrary code in the context of the vulnerable application.
Exploit type: 
Platform: 
Vulnerabilty ID: 
CVE-2012-0779
Product Version: 
12.3
Released Date: 
Tuesday, July 3, 2012 - 00:00